Bug 204032 - Istanbul relies on deprecated pygtk functions on FC6.
Istanbul relies on deprecated pygtk functions on FC6.
Product: Fedora
Classification: Fedora
Component: istanbul (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jef Spaleta
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-08-25 03:34 EDT by Wade Mealing
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-31 20:29:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2006-08-25 03:34:16 EDT
Description of problem:

Istanbul crashes on use on current FC6, it is relying on a deprecated pygtk

Version-Release number of selected component (if applicable):

Istanbul 0.1.1-9

How reproducible:

Every time
Steps to Reproduce:
1. Install FC6
2. yum install istanbul
3. from terminal run istanbul
4. Right click on tray icon 

Actual results:

python traceback. 

Expected results:

No python traceback (Sorry, I need istanbul working for now), would provide more
but this app really doesnt work on FC6 pygtk.

Additional info:

There is a newer version of istanbul that works with fc6, records voice and 3d also.

Hey Jef :).
Comment 1 Jef Spaleta 2006-08-25 13:22:29 EDT
See the thread on fedora-extras-list:
"Call for devel tree testing with an aim at resurrecting istanbul"

due to some rather serious limitations on bandwidth I'm forced to work through 
others to get buildable packges out.


I hope to have something submitted to the build system next week.  Though if 
you want to take over maintainership of this... its yours.  

Don't get your hopes up over 0.2.1's new claims as to functionality. So far on 
my systems the gst 0.10 based versions has much worse video quality.. and 
several of the advanced options like cursor recording make istanbul fall over 
and die.  I plan to get 0.2.1 into the tree... but i don't know how useful its 
going to be.. concerning the video capture issues with the ximagesrc module 
for gst 0.10.

Comment 2 Jef Spaleta 2006-08-31 20:29:26 EDT
closing as next release.  0.2.1 is built in fe-devel and is awaiting signing.
If there are functionality problems...drive the issues to the upstream
developers please.


Note You need to log in before you can comment on or make changes to this bug.